// ==========================================================================
// 数据表：sys_apis - 系统接口数据
// ==========================================================================

TABLE_NAME = 'sys_apis';
COLUMN_KEY = 'id';
TABLE_FIELDS = '*';

'use api/lib/sql.js';

function getPlaceholders(condition) {
	const columnsArr = Object.keys(condition);
	const placeholders = [];
	const tempParams = [];
	columnsArr.forEach((item) => {
		if (item == 'description') {
			placeholders.push(`description LIKE ?`);
			tempParams.push('%' + condition[item] + '%');
		} else if (item == 'method') {
			placeholders.push(`method = ?`);
			tempParams.push(condition[item]);
		} else if (item == 'path') {
			placeholders.push(`path = ?`);
			tempParams.push(condition[item]);
		} else if (item == 'apiGroup') {
			placeholders.push(`api_group = ?`);
			tempParams.push(condition[item]);
		}
	});

	return {
		placeholders: placeholders.join(' AND '),
		tempParams: tempParams,
	};
}

function main() {
	// 验证用户权限
	'use api/user/acl/excerpt.js'

	return base_curd();
}
